package com.flow.entity.node;

import com.google.common.collect.Lists;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.flowable.bpmn.model.FlowElement;
import org.flowable.bpmn.model.StartEvent;
import org.flowable.bpmn.model.TimerEventDefinition;

import java.util.ArrayList;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class TimerStartNode extends Node {

    @Override
    public List<FlowElement> convert() {
        ArrayList<FlowElement> elements = Lists.newArrayList();
        // 开始节点
        StartEvent startEvent = new StartEvent();
        String startId = "node_start";
        startEvent.setId(startId);
        startEvent.setName("开始");
        startEvent.setExecutionListeners(this.buidEventListener());
        TimerEventDefinition timerEventDefinition = new TimerEventDefinition();
        startEvent.setEventDefinitions(Lists.newArrayList(timerEventDefinition));
        return elements;
    }
}
